SettingReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: ID параметра
      example: 1
    code:
      type: string
      description: символьный код параметра
      example: timeForPayment
    created_at:
      type: string
      format: date-time
      description: дата создания параметра
      example: "2021-06-11T11:27:10.000000Z"
      nullable: true
    updated_at:
      type: string
      format: date-time
      description: дата обновления параметра
      example: "2021-06-11T11:27:10.000000Z"
      nullable: true

SettingFillableProperties:
  type: object
  properties:
    value:
      type: string
      description: значение параметра
      example: "30"
    name:
      type: string
      description: название параметра
      example: Срок для оплаты заказа клиентов

IncludeId:
  type: object
  properties:
    id:
      type: integer
      description: ID параметра
      example: 1

Setting:
  allOf:
    - $ref: '#/SettingReadonlyProperties'
    - $ref: '#/SettingFillableProperties'


PatchSeveralSettingsRequest:
  type: object
  properties:
    settings:
      type: array
      items:
        $ref: '#/PatchSettingRequest'

PatchSettingRequest:
  allOf:
    - $ref: '#/IncludeId'
    - $ref: '#/SettingFillableProperties'


SettingsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Setting'
